<div class="container-fluid p-py-5">
  <div class="container-content">
    <div class="my-auto">
      <p-progressSpinner 
        *ngIf="isLoading"
        strokeWidth="6"
      ></p-progressSpinner>
      <div *ngIf="!isLoading">Redirecting to main page...</div>
    </div>
  </div>
</div>